Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jdbc
Class WrappedPreparedStatement

    java.lang.Object
      org.jboss.resource.adapter.jdbc.WrappedStatement
          org.jboss.resource.adapter.jdbc.WrappedPreparedStatement

All Implemented Interfaces:
  PreparedStatement, Statement, org.jboss.ejb.plugins.cmp.jdbc.WrappedStatement

Direct Known Subclasses:
  WrappedCallableStatement

public class WrappedPreparedStatement
extends WrappedStatement
implements PreparedStatement

A wrapper for a prepared statement.

Version:
  $Revision: 1.4 $
Author:
  David Jencks, Adrian Brock

Field Summary

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`WrappedPreparedStatement(WrappedConnection lc, PreparedStatement ps)`

Method Summary
`void` | `addBatch()`
`void` | `clearParameters()`
`boolean` | `execute()`
`ResultSet` | `executeQuery()`
`int` | `executeUpdate()`
`ResultSetMetaData` | `getMetaData()`
`ParameterMetaData` | `getParameterMetaData()`
`Statement` | `getUnderlyingStatement()`
`void` | `setArray(int parameterIndex, Array value)`
`void` | `setAsciiStream(int parameterIndex, InputStream stream, int length)`
`void` | `setBigDecimal(int parameterIndex, BigDecimal value)`
`void` | `setBinaryStream(int parameterIndex, InputStream stream, int length)`
`void` | `setBlob(int parameterIndex, Blob value)`
`void` | `setBoolean(int parameterIndex, boolean value)`
`void` | `setByte(int parameterIndex, byte value)`
`void` | `setBytes(int parameterIndex, byte[] value)`
`void` | `setCharacterStream(int parameterIndex, Reader reader, int length)`
`void` | `setClob(int parameterIndex, Clob value)`
`void` | `setDate(int parameterIndex, Date value)`
`void` | `setDate(int parameterIndex, Date value, Calendar calendar)`
`void` | `setDouble(int parameterIndex, double value)`
`void` | `setFloat(int parameterIndex, float value)`
`void` | `setInt(int parameterIndex, int value)`
`void` | `setLong(int parameterIndex, long value)`
`void` | `setNull(int parameterIndex, int sqlType)`
`void` | `setNull(int parameterIndex, int sqlType, String typeName)`
`void` | `setObject(int parameterIndex, Object value)`
`void` | `setObject(int parameterIndex, Object value, int sqlType)`
`void` | `setObject(int parameterIndex, Object value, int sqlType, int scale)`
`void` | `setRef(int parameterIndex, Ref value)`
`void` | `setShort(int parameterIndex, short value)`
`void` | `setString(int parameterIndex, String value)`
`void` | `setTime(int parameterIndex, Time value)`
`void` | `setTime(int parameterIndex, Time value, Calendar calendar)`
`void` | `setTimestamp(int parameterIndex, Timestamp value)`
`void` | `setTimestamp(int parameterIndex, Timestamp value, Calendar calendar)`
`void` | `setUnicodeStream(int parameterIndex, InputStream stream, int length)`
`void` | `setURL(int parameterIndex, URL value)`

Methods inherited from class org.jboss.resource.adapter.jdbc.WrappedStatement
`addBatch, cancel, checkException, checkTransaction, clearBatch, clearWarnings, close, closeResultSets, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, internalClose, registerResultSet, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, unregisterResultSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.Statement
`addBatch, cancel, clearBatch, clearWarnings, close, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

Constructor Detail

### WrappedPreparedStatement

    public WrappedPreparedStatement(WrappedConnection lc,
                                    PreparedStatement ps)

Method Detail

### getUnderlyingStatement

    public Statement getUnderlyingStatement()

  Specified by:
    `getUnderlyingStatement` in interface `org.jboss.ejb.plugins.cmp.jdbc.WrappedStatement`
  Overrides:
    `getUnderlyingStatement` in class `WrappedStatement`

### setBoolean

    public void setBoolean(int parameterIndex,
                           boolean value)
                    throws SQLException

  Specified by:
    `setBoolean` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setByte

    public void setByte(int parameterIndex,
                        byte value)
                 throws SQLException

  Specified by:
    `setByte` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setShort

    public void setShort(int parameterIndex,
                         short value)
                  throws SQLException

  Specified by:
    `setShort` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setInt

    public void setInt(int parameterIndex,
                       int value)
                throws SQLException

  Specified by:
    `setInt` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setLong

    public void setLong(int parameterIndex,
                        long value)
                 throws SQLException

  Specified by:
    `setLong` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setFloat

    public void setFloat(int parameterIndex,
                         float value)
                  throws SQLException

  Specified by:
    `setFloat` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setDouble

    public void setDouble(int parameterIndex,
                          double value)
                   throws SQLException

  Specified by:
    `setDouble` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setURL

    public void setURL(int parameterIndex,
                       URL value)
                throws SQLException

  Specified by:
    `setURL` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setTime

    public void setTime(int parameterIndex,
                        Time value)
                 throws SQLException

  Specified by:
    `setTime` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setTime

    public void setTime(int parameterIndex,
                        Time value,
                        Calendar calendar)
                 throws SQLException

  Specified by:
    `setTime` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### execute

    public boolean execute()
                    throws SQLException

  Specified by:
    `execute` in interface `PreparedStatement`
  Returns:
  Throws:
    `SQLException` -

### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

  Specified by:
    `getMetaData` in interface `PreparedStatement`
  Returns:
  Throws:
    `SQLException` -

### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

  Specified by:
    `executeQuery` in interface `PreparedStatement`
  Returns:
  Throws:
    `SQLException` -

### executeUpdate

    public int executeUpdate()
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `PreparedStatement`
  Returns:
  Throws:
    `SQLException` -

### addBatch

    public void addBatch()
                  throws SQLException

  Specified by:
    `addBatch` in interface `PreparedStatement`
  Throws:
    `SQLException` -

### setNull

    public void setNull(int parameterIndex,
                        int sqlType)
                 throws SQLException

  Specified by:
    `setNull` in interface `PreparedStatement`
  Throws:
    `SQLException` -

### setNull

    public void setNull(int parameterIndex,
                        int sqlType,
                        String typeName)
                 throws SQLException

  Specified by:
    `setNull` in interface `PreparedStatement`
  Throws:
    `SQLException` -

### setBigDecimal

    public void setBigDecimal(int parameterIndex,
                              BigDecimal value)
                       throws SQLException

  Specified by:
    `setBigDecimal` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setString

    public void setString(int parameterIndex,
                          String value)
                   throws SQLException

  Specified by:
    `setString` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setBytes

    public void setBytes(int parameterIndex,
                         byte[] value)
                  throws SQLException

  Specified by:
    `setBytes` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setDate

    public void setDate(int parameterIndex,
                        Date value)
                 throws SQLException

  Specified by:
    `setDate` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setDate

    public void setDate(int parameterIndex,
                        Date value,
                        Calendar calendar)
                 throws SQLException

  Specified by:
    `setDate` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             Timestamp value)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             Timestamp value,
                             Calendar calendar)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               InputStream stream,
                               int length)
                        throws SQLException

  Specified by:
    `setAsciiStream` in interface `PreparedStatement`
  Throws:
    `SQLException` -

### setUnicodeStream

    public void setUnicodeStream(int parameterIndex,
                                 InputStream stream,
                                 int length)
                          throws SQLException

  Specified by:
    `setUnicodeStream` in interface `PreparedStatement`
  Throws:
    `SQLException` -

### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                InputStream stream,
                                int length)
                         throws SQLException

  Specified by:
    `setBinaryStream` in interface `PreparedStatement`
  Throws:
    `SQLException` -

### clearParameters

    public void clearParameters()
                         throws SQLException

  Specified by:
    `clearParameters` in interface `PreparedStatement`
  Throws:
    `SQLException` -

### setObject

    public void setObject(int parameterIndex,
                          Object value,
                          int sqlType,
                          int scale)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setObject

    public void setObject(int parameterIndex,
                          Object value,
                          int sqlType)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setObject

    public void setObject(int parameterIndex,
                          Object value)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   Reader reader,
                                   int length)
                            throws SQLException

  Specified by:
    `setCharacterStream` in interface `PreparedStatement`
  Throws:
    `SQLException` -

### setRef

    public void setRef(int parameterIndex,
                       Ref value)
                throws SQLException

  Specified by:
    `setRef` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setBlob

    public void setBlob(int parameterIndex,
                        Blob value)
                 throws SQLException

  Specified by:
    `setBlob` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setClob

    public void setClob(int parameterIndex,
                        Clob value)
                 throws SQLException

  Specified by:
    `setClob` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setArray

    public void setArray(int parameterIndex,
                         Array value)
                  throws SQLException

  Specified by:
    `setArray` in interface `PreparedStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### getParameterMetaData

    public ParameterMetaData getParameterMetaData()
                                           throws SQLException

  Specified by:
    `getParameterMetaData` in interface `PreparedStatement`
  Returns:
  Throws:
    `SQLException` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.